set echo on pages 45
alter system flush share_pool
/
alter session set optimizer_use_sql_plan_baselines = false
/
var ret number
begin
  :ret := DBMS_SPM.DROP_SQL_PLAN_BASELINE (
    sql_handle     => 'SYS_SQL_PLAN_b7fdfb071394e695'
  );
end;
/
print ret
begin
  :ret := DBMS_SPM.DROP_SQL_PLAN_BASELINE (
    sql_handle     => 'SYS_SQL_PLAN_b7fdfb0769ac8436'
  );
end;
/
print ret
set pau "Press ENTER to continue ..."
drop table accounts
/
create table accounts
nologging
as
select * from all_objects
/
update accounts set status = 'INVALID' where rownum < 2
/
commit
/
create index in_accounts_01 on accounts (status)
/
create index in_accounts_02 on accounts (temporary)
/
select status, temporary, count(1)
from accounts
group by status, temporary
/
pau
begin
   dbms_stats.gather_table_stats (
      ownname          => user,
      tabname          => 'ACCOUNTS',
      cascade          => TRUE,
      no_invalidate    => FALSE,
      method_opt       => 'FOR ALL COLUMNS SIZE AUTO',
      estimate_percent => 100,
      degree           => 2
);
end;
/
pau
set autot on explain
@qry
set autot off
pau
select sql_id, sql_text from v$sql where sql_text like '%SPM_TEST%'
/
select * from table(
	dbms_xplan.display_cursor(
		sql_id => '&sql_id',
		format => 'allstats +note'
	))
/
pau